#![warn(clippy::style, clippy::pedantic)]

mod db;
mod discord;
mod utils;

use std::error::Error;

#[tokio::main]
async fn main() -> Result<(), Box<dyn Error>> {
    utils::setup_logging();
    color_eyre::install()?;

    let mut bot = discord::make_bot().await?;
    bot.start().await?;

    Ok(())
}
